Bug 1190129 (CVE-2014-9654) - CVE-2014-9654 icu: insufficient size limit checks in regular expression compiler
Summary: CVE-2014-9654 icu: insufficient size limit checks in regular expression compiler
Status: CLOSED ERRATA
Alias: CVE-2014-9654
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,public=20150121,repor...
Keywords: Security
Depends On: 1190133 1190131 1190132
Blocks: 1186680
TreeView+ depends on / blocked
 
Reported: 2015-02-06 12:17 UTC by Vasyl Kaigorodov
Modified: 2019-06-08 20:25 UTC (History)
6 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2015-12-17 21:18:04 UTC


Attachments (Terms of Use)

Description Vasyl Kaigorodov 2015-02-06 12:17:25 UTC
An unspecified overlow vulnerability was fixed in ICU [1] and Chrome browser [2][3].

[1]: http://bugs.icu-project.org/trac/changeset/36801
[2]: https://code.google.com/p/chromium/issues/detail?id=432209
[3]: https://chromium.googlesource.com/chromium/deps/icu/+/dd727641e190d60e4593bcb3a35c7f51eb4925c5

Comment 1 Vasyl Kaigorodov 2015-02-06 12:18:42 UTC
Created mingw-icu tracking bugs for this issue:

Affects: fedora-all [bug 1190132]
Affects: epel-7 [bug 1190133]

Comment 2 Vasyl Kaigorodov 2015-02-06 12:18:45 UTC
Created icu tracking bugs for this issue:

Affects: fedora-all [bug 1190131]

Comment 3 Tomas Hoger 2015-02-06 19:36:36 UTC
This issue was previously grouped with other Chrome issues under the Google Chrome CVE-2015-1205.  Bug 1185282 comment 1 lists information that is currently public about this flaw:

Chrome upstream bug and commit:

https://code.google.com/p/chromium/issues/detail?id=432209
https://chromium.googlesource.com/chromium/deps/icu/+/dd727641e190d60e4593bcb3a35c7f51eb4925c5

ICU upstream bug and commit:

http://bugs.icu-project.org/trac/ticket/11371
http://bugs.icu-project.org/trac/changeset/36801
"Improved checking of regular expression pattern size limits."

Both upstream bugs are non-public.  Chrome bug is likely to be made public as some point.

Comment 5 Fedora Update System 2015-04-28 12:58:15 UTC
icu-50.1.2-12.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2015-04-28 12:58:48 UTC
icu-52.1-6.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2015-09-24 05:10:23 UTC
icu-54.1-5.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2015-10-13 17:03:18 UTC
icu-54.1-4.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.